/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumPersonmodulerole;
import de.ship.db.tables.TCorePersonAttr;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCorePersonAttrRecord extends UpdatableRecordImpl<TCorePersonAttrRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_person_attr.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_person_attr.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_person_attr.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_person_attr.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_person_attr.fk_usnr</code>.
     */
    public void setFkUsnr(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_person_attr.fk_usnr</code>.
     */
    public Integer getFkUsnr() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_person_attr.contact_mail</code>.
     */
    public void setContactMail(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_person_attr.contact_mail</code>.
     */
    public String getContactMail() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_person_attr.module_affiliation</code>.
     */
    public void setModuleAffiliation(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_person_attr.module_affiliation</code>.
     */
    public String getModuleAffiliation() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.t_core_person_attr.module_role</code>.
     */
    public void setModuleRole(EnumPersonmodulerole value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_core_person_attr.module_role</code>.
     */
    public EnumPersonmodulerole getModuleRole() {
        return (EnumPersonmodulerole) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCorePersonAttrRecord
     */
    public TCorePersonAttrRecord() {
        super(TCorePersonAttr.T_CORE_PERSON_ATTR);
    }

    /**
     * Create a detached, initialised TCorePersonAttrRecord
     */
    public TCorePersonAttrRecord(LocalDateTime lastchange, Integer pk, Integer fkUsnr, String contactMail, String moduleAffiliation, EnumPersonmodulerole moduleRole) {
        super(TCorePersonAttr.T_CORE_PERSON_ATTR);

        setLastchange(lastchange);
        setPk(pk);
        setFkUsnr(fkUsnr);
        setContactMail(contactMail);
        setModuleAffiliation(moduleAffiliation);
        setModuleRole(moduleRole);
        resetChangedOnNotNull();
    }
}
